Getting a list of contractor applications from the garage

Eats courier and Platform profile creation

Request

POST

https://fleet-api.taxi.yandex.net/v1/performer/create

Headers

Name

Description

Accept-Language

Type: string

Preferred language of the response

Min length: 2

Example: ru

X-API-Key

Type: string

API-key

Min length: 1

Example: <API key>

X-Client-ID

Type: string

Client ID

Min length: 1

Example: <Client ID>

X-Idempotency-Token

Type: string

Idempotent request token. Must contain only printable ASCII characters

Min length: 16

Max length: 64

Example: c56fa6537e5a4adbbce6ef3593210fb9

X-Park-ID

Type: string

Partner ID

Example: ee6f33c4562b4e1f8646d157bd70b2c4

Body

application/json
{
  "last_name": " Ivanov ",
  "first_name": " Ivan ",
  "middle_name": " Ivanovich ",
  "phone": "+79999999999",
  "region_geobase_id": 1,
  "birth_date": "1990-01-01",
  "registration_address": " Mira Street, 1 ",
  "instant_payments_id": "550e8400-e29b-41d4-a716-446655440000",
  "work_rule_id": "bc43tre6ba054dfdb7143ckfgvcby63e",
  "citizenship_code2": "RU",
  "employment_type": "park_direct",
  "tax_identification_number": "1234567890"
}

Name

Description

birth_date

Type: string<date>

Date of birth

Example: 1990-01-01

first_name

Type: string

Name

Min length: 1

Example: Ivan

last_name

Type: string

Last name

Min length: 1

Example: Ivanov

phone

Type: string

Phone number; for Russia - must be registered in My Tax

Min length: 1

Example: +79999999999

region_geobase_id

Type: integer

City identifier in the geobase hierarchy

citizenship_code2

Type: string

Country code in ISO 3166-1 alpha-2 format

Pattern: ^[A-Z]{2}$

Example: RU

employment_type

Type: string

Employment type. Can be park_direct (park direct staff) or courier_service (courier service employee in Fleet terms)

Enum: park_direct, courier_service

instant_payments_id

Type: string<uuid>

Instant payout rule identifier assigned to the courier. If not specified, the default rule configured for the partner is applied, if available

Example: 550e8400-e29b-41d4-a716-446655440000

middle_name

Type: string

Second name

Min length: 1

Example: Ivanovich

registration_address

Type: string

Registration address. Required for Russia or when employment_type = park_direct in Kazakhstan

Min length: 1

Example: Mira Street, 1

tax_identification_number

Type: string

Courier's tax identification number in registration country. Required based on country and employment type

Min length: 1

Example: 1234567890

work_rule_id

Type: string

Work condition identifier assigned to the courier. Value can be obtained via partner's work conditions list retrieval method

Min length: 1

Example: bc43tre6ba054dfdb7143ckfgvcby63e

Responses

200 OK

Data of the created profile

Body

application/json
{
  "park_id": "ee6f33c4562b4e1f8646d157bd70b2c4",
  "contractor_id": "9b17db0cb1f24a38a5c3c8b4f6e4f63b",
  "polling_settings": {
    "polling_interval_ms": 0,
    "polling_timeout_sec": 0
  }
}

Name

Description

contractor_id

Type: string

Platform profile identifier

Example: 9b17db0cb1f24a38a5c3c8b4f6e4f63b

park_id

Type: string

Park profile identifier

Example: ee6f33c4562b4e1f8646d157bd70b2c4

polling_settings

Type: object

polling_interval_ms

Type: integer

Profile creation check API call frequency

Min value: 0

polling_timeout_sec

Type: integer

Overall timeout for profile creation check API polling

Min value: 0

Polling settings

Example
{
  "polling_interval_ms": 0,
  "polling_timeout_sec": 0
}

400 Bad Request

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example

422 Unprocessable Entity

Invalid request parameters

Body

application/json
{
  "code": "example",
  "message": "Textual description of the error"
}

Name

Description

message

Type: string

Human-readable error message

Example: Textual description of the error

code

Type: string

Machine-readable error code

Example: example